﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Newsletter
{
    [Serializable]
    public class SubscriberBO
    {
        public string Alias;
        public string Email;
        public bool Committed;
        public string Id;

        public SubscriberBO(string alias, string email, bool committed, string id)
        {
            Alias = alias;
            Email = email;
            Committed = committed;
            Id = id;
        }

        protected internal SubscriberBO(Subscriber s)
            : this(s.Alias, s.Email, s.Committed, s.Id.ToString())
        {
        }
    }
}
